Subject: Re: linux-next: build failure after merge of the final tree (staging tree related)

From: Greg KH <[email-masked]>
Date: Mon, 24 Jun 2013 19:13:46 -0700

On Tue, Jun 25, 2013 at 08:22:49AM +0800, Peng Tao wrote:
> On 06/25/2013 07:50 AM, Greg KH wrote:
> >On Tue, Jun 25, 2013 at 09:40:51AM +1000, Stephen Rothwell wrote:
> >>Hi Greg,
> >>
> >>On Mon, 24 Jun 2013 15:40:35 -0700 Greg KH <[email-masked]> wrote:
> >>>We are running out of time, my tree is pretty much closed for 3.11 now,
> >>>should I just disable the build of this module for 3.11?
> >>That's what I've been doing - it has never been enabled in a final
> >>linux-next release.  So, it should probably just be disabled properly.
> >I agree, now disabled.
> >
> >greg k-h
> Greg,
> 
> Sorry for the delay. I've been caught up by other build failures
> that were found during my tests. I'm sending you the latest patches
> that should fix all the build errors. I've verified that we can now
> pass build on sparc/mips/s390/powerpc/x86, both 32bits and 64bits.
> Please help to queue them.
> 
> I see that you have already disabled Lustre build. Can we re-enable
> it or do we have to wait until 3.10 is released?

My trees mare now closed for 3.11, given that 3.10 will be released in
less than a week.  I'll keep patches in my to-apply mailbox, which I
will then apply after 3.11-rc1 is out, so I'll not be accepting anything
for the next 3 weeks or so.

thanks,

greg k-h